/*
 * @Author: wjc
 * @Date: 2022-04-18 11:02:49
 * @LastEditors: wjc
 * @LastEditTime: 2022-04-22 15:36:45
 * @Description: 
 */
class SmartDevicesListModel {
  String? id;
  String? area;
  String? controllerId;
  num? status;
  String? name;
  String? nameLike;
  String? updatedAt;

  SmartDevicesListModel({
    this.id,
    this.area,
    this.controllerId,
    this.status,
    this.name,
    this.nameLike,
    this.updatedAt,
  });

  SmartDevicesListModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    id = map['id'];
    area = map['area'];
    controllerId = map['controllerId'];
    status = map['status'];
    name = map['name'];
    nameLike = map['nameLike'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['id'] = this.id;
    json['area'] = this.area;
    json['controllerId'] = this.controllerId;
    json['status'] = this.status;
    json['name'] = this.name;
    json['nameLike'] = this.nameLike;
    json['updatedAt'] = this.updatedAt;

    return json;
  }
}
